# Arduino code for Das Schmalter
This is the arduino code for 'Das Schmalter' it is it was tested on an esp8266 but should work just fine on an esp32 with some minor modifications.

# Schematic
You can find a fritzing schematic [here](https://git.itsblue.de/dorian/dasschmalter/raw/master/Arduino/Das_Schmalter.fzz)

# Usage
To set up an esp8266 as a schmalter, you can follow the followind steps:
1. build your Schmalter according to the schematic
2. rename the file 'env.h.example'
3. install the esp8266 board in the arduino IDE (instructions can be found [here](https://github.com/esp8266/Arduino#installing-with-boards-manager))
4. open the 'DasSchmalter' sketch in the arduino IDE and change the wifi credentinals in the env.h file
5. flash the sketch to the esp8266
6. you can now use your browser to control your schmalter, just type in your schmalters ip